import React, { useState } from 'react';
import { Form, Icon, Input, Button, DatePicker, Select, Card, Row, Col, Pagination, Alert, Radio, Tag, Tooltip, Tabs, Table, notification, Modal, Layout } from 'antd';
import ImageListUpload from '../../../../../components/XForm/ImageListUpload';

const { Header, Footer, Sider, Content } = Layout;

function BuildingImageModel() {
  const [imageList, setImageList] = useState([])

  function onImageChange(e) {
    setImageList(e)
  }

  return (
    <>
      <span>效果图（10）</span>
      <Button type="link" style={{ color: 'blue' }}>重命名</Button>
      <Button type="link" style={{ color: 'blue' }}>删除相册</Button>
      <ImageListUpload value={imageList} onChange={onImageChange} unlimited/>
    </>
  )
}


function buildingImage() {
  return (
    <>
      <Button type="primary">新增</Button>
      <Layout>
        <Content><BuildingImageModel /></Content>
        <Content><BuildingImageModel /></Content>
        <Content><BuildingImageModel /></Content>
      </Layout>
    </>
  )
}

export default buildingImage
